summaryrefslogtreecommitdiffstats
path: root/source/x/libinput/libinput.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/x/libinput/libinput.SlackBuild')
-rwxr-xr-xsource/x/libinput/libinput.SlackBuild4
1 files changed, 3 insertions, 1 deletions
diff --git a/source/x/libinput/libinput.SlackBuild b/source/x/libinput/libinput.SlackBuild
index f40a38d9b..531de3ff3 100755
--- a/source/x/libinput/libinput.SlackBuild
+++ b/source/x/libinput/libinput.SlackBuild
@@ -27,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libinput
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -79,6 +79,8 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
+zcat $CWD/libinput.less.lag.complaining.diff.gz | patch -p1 --verbose || exit 1
+
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"
mkdir build